<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| BBcodes Overview page.
| Shows all enabled BBcodes with usage and description
| Filename: bbcodes-overview.php version 1.0
| Author: Wim de Lange (Wanabo)
| Based on bbcodes.php file by Wooya
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "maincore.php";

require_once THEMES."templates/header.php";
include LOCALE.LOCALESET."admin/bbcodes.php";
add_to_title("BBcode ".$locale['406']);

global $p_data;
//prevent e_notice warning for included bbcode vars
$textarea_name = ""; $inputform_name = "";

	$available_bbcodes = array();
	if ($handle_bbcodes = opendir(INCLUDES."bbcodes/")) {
		while (false !== ($file_bbcodes = readdir($handle_bbcodes))) {
			if (!in_array($file_bbcodes, array("..",".","index.php")) && !is_dir(INCLUDES."bbcodes/".$file_bbcodes)) {
				if (preg_match("/_include.php/i", $file_bbcodes) && !preg_match("/_var.php/i", $file_bbcodes) && !preg_match("/_save.php/i", $file_bbcodes) && !preg_match("/.js/i", $file_bbcodes)) {
					$bbcode_name = explode("_", $file_bbcodes);
					$available_bbcodes[] = $bbcode_name[0];
					unset($bbcode_name);
				}
			}
		}
		closedir($handle_bbcodes);
	}
	sort($available_bbcodes); $enabled_bbcodes = array();
	$dext = array("asia","cn","fr","in","org"); $dext = $dext[array_rand($dext)]; /*Please respect credits*/
	opentable("BBcode ".$locale['406']."<div style='float:right; display:inline;'><a title='pHp-Fusion.".$dext." | Open Source PHP + MySQL Powered Website' href='http://www.php-fusion.".$dext."/' class='scapmain' style='text-decoration:none;'>&copy;</a></div>");
	$result = dbquery("SELECT bbcode_name, bbcode_order FROM ".DB_BBCODES." ORDER BY bbcode_order");
	if (dbrows($result)) {
//		echo "<div style='width:100%;height:250px;overflow:auto'>\n";
		echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['403']."</strong></td>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['404']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['405']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['406']."</strong></td>\n";
		echo "</tr>\n";
		$lp=0;
		$ps = 1; $i = 1;
		$numrows = dbcount("(bbcode_order)", DB_BBCODES);
		while ($data = dbarray($result)) {
			$i++;

			$lp++;
			$enabled_bbcodes[] = $data['bbcode_name'];
			if (file_exists(INCLUDES."bbcodes/images/".$data['bbcode_name'].".png")) {
				$bbcode_image = "<img src='".INCLUDES."bbcodes/images/".$data['bbcode_name'].".png' alt='".$data['bbcode_name']."' style='border:1px solid black' />\n";
			} else if (file_exists(INCLUDES."bbcodes/images/".$data['bbcode_name'].".gif")) {
				$bbcode_image = "<img src='".INCLUDES."bbcodes/images/".$data['bbcode_name'].".gif' alt='".$data['bbcode_name']."' style='border:1px solid black' />\n";
			} else if (file_exists(INCLUDES."bbcodes/images/".$data['bbcode_name'].".jpg")) {
				$bbcode_image = "<img src='".INCLUDES."bbcodes/images/".$data['bbcode_name'].".jpg' alt='".$data['bbcode_name']."' style='border:1px solid black' />\n";
			} else {
				$bbcode_image = "-";
			}
			$cls = ($lp % 2 == 0 ? "tbl2" : "tbl1");
			echo "<tr>\n";
			if (file_exists(LOCALE.LOCALESET."bbcodes/".$data['bbcode_name'].".php")) {
				include (LOCALE.LOCALESET."bbcodes/".$data['bbcode_name'].".php");
			} elseif (file_exists(LOCALE."English/bbcodes/".$data['bbcode_name'].".php")) {
				include (LOCALE."English/bbcodes/".$data['bbcode_name'].".php");
      }
			include INCLUDES."bbcodes/".$data['bbcode_name']."_bbcode_include_var.php";
			echo "<td width='1%' class='$cls' style='white-space:nowrap'>".ucwords($data['bbcode_name'])."</td>\n";
			echo "<td align='center' width='1%' class='$cls' style='white-space:nowrap'>".$bbcode_image."</td>\n";
			echo "<td class='$cls'>".$__BBCODE__[0]['description']."</td>\n";
			echo "<td class='$cls'>".$__BBCODE__[0]['usage']."</td>\n";
			unset ($__BBCODE__);
			echo "</tr>\n";
		}
		echo "</table>\n";
//		echo "</div>\n";
	}
	closetable();

require_once THEMES."templates/footer.php";
?>
